/*
 * JRSubreportReturnValue.java
 *
 * Created on 20 agosto 2005, 15.43
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package it.businesslogic.ireport;

/**
 *
 * @author Administrator
 */
public class JRSubreportReturnValue {
    
    private String subreportVariable = "";
    private String toVariable = "";
    private String calculation = "Nothing";
    private String incrementFactoryClass = "";
    
    /**
     * Creates a new instance of JRSubreportReturnValue 
     */
    public JRSubreportReturnValue() {
    }

    public String getSubreportVariable() {
        return subreportVariable;
    }

    public void setSubreportVariable(String subreportVariable) {
        this.subreportVariable = subreportVariable;
    }

    public String getToVariable() {
        return toVariable;
    }

    public void setToVariable(String toVariable) {
        this.toVariable = toVariable;
    }

    public String getCalculation() {
        return calculation;
    }

    public void setCalculation(String calculation) {
        this.calculation = calculation;
    }

    public String getIncrementFactoryClass() {
        return incrementFactoryClass;
    }

    public void setIncrementFactoryClass(String incrementFactoryClass) {
        this.incrementFactoryClass = incrementFactoryClass;
    }
    
    public String toString()
    {
        return ""+subreportVariable;
    }
    
}
